DUMPKEYS(1)

NAZWA
dumpkeys - wypisuje tabele translacji klawiatury

SKŁADNIA
dumpkeys [OPCJE]

OPIS

dumpkeys zapisuje na standardowe wyjście obecną zawartość tablic translacji sterownika klawiatury. Formatem wyjściowym jest ten sam format, którego używa keymaps(5).

Przy użyciu różnych opcji, można kontrolować format wyjścia, a także uzyskać inne dane od jądra i programów dumpkeys(1) oraz loadkeys(1).

OPCJE

-h --help
    Wyświetla wersję programu i krótką informację o jego użyciu na standardowe wyjście błędów i kończy program.

-i --short-info
    Wyświetla niektóre parametry sterownika klawiatury. Pokazywane elementy włączają:

    Keycode range supported by kernel (zakres kodów klawiszy, obsługiwanych przez jądro)

        Mówi to, które wartości mogą być użyte po słowie kluczowym keycode w plikach z tablicami klawiszy (keytable). Zobacz keymaps(5) aby dowiedzieć się więcej o formacie tych plików.

    Number of actions bindable to a key (liczba akcji, które można przypisać do klawisza)

        Mówi, ile różnych akcji można przypisać do danego klawisza przy użyciu różnych klawiszy modyfikujących. Jeśli wartość ta wynosi np. 16, możesz zdefiniować do 16 różnych akcji na klawisz (w kombinacji z modyfikatorami). Jeśli wartość wynosi 16, to jądro prawdopodobnie zna około czterech klawiszy modyfikujących, które możesz nacisnąć w różnych kombinacjach z danym normalnym klawiszem.

    Ranges of action codes supported by the kernel (zakresy kodów akcji obsługiwanych przez jądro)

        To pole zawiera listę zakresów kodów akcji w notacji szesnastkowej. Są to wartości, które mogą być użyte po prawej stronie definicji klawisza, np. symbole vv w linii

            keycode xx = vv vv vv vv

        (Zobacz keymaps(5) aby poznać dalsze szczegóły formatu linii definicji klawisza). dumpkeys(1) i loadkeys(1) obsługują notację symboliczną, która jest bardziej preferowana niż numeryczna, gdyż kody akcji mogą się różnić w różnych wersjach jądra, podczas gdy nazwy symboliczne zwykle pozostają jednakowe. Jednak mimo wszystko lista zakresów kodów akcji może zostać użyta do sprawdzenia czy jądro rzeczywiście obsługuje wszystkie symbole, które zna loadkeys(1), czy też może istnieją jakieś akcje jądra, które nie są nazwane w programie loadkeys(1). Aby to sprawdzić, porównaj listę zakresów z listą symboli akcji; zobacz niżej opcję --long-info.

    Number of function keys supported by kernel (liczba klawiszy funkcyjnych, obsługiwanych przez jądro)

        Określa to liczbę kodów akcji, które mogą zostać użyte do wyprowadzania ciągów znaków. Te kody akcji tradycyjnie są przypisane do różnych klawiszy funkcyjnych i edytujących klawiatury i są zdefiniowane tak, aby wysyłały sekwencje eskejpowe. Jednakże możesz przedefiniować je aby wysyłały często używane polecenia, adresy e-mail czy jeszcze coś innego. Szczególnie jeśli liczba tych elementów jest większa niż liczba klawiszy funkcyjnych i edytujących twojej klawiatury, możesz wykorzystać niektóre "wolne" kody akcji, które można przypisać np. do kombinacji AltGr-litera aby wysyłały przydatne ciągi znaków. Szczegóły można znaleźć w loadkeys(1).

    Function strings (funkcyjne ciągi znaków)

        Można obejrzeć obecne definicje klawiszy z pomocą polecenia

            dumpkeys --funcs-only

-l -s --long-info
    Opcja ta nakazuje dumpkeys wydrukowanie długiego listingu informacyjnego. Wyjście jest takie samo jak z opcją --short-info z dodaną listą symboli obsługiwanych przez loadkeys(1) i dumpkeys(1), wraz z ich wartościami numerycznymi.

-n --numeric
    Opcja ta powoduje, że dumpkeys pomija konwersję kodów akcji na notację symboliczną i drukuje je w formacie szesnastkowym.

-f --full-table
    Powoduje to, że dumpkeys pomija wszystkie heurystyki short-hand. (zobacz keymaps(5)) i na wyjściu wypisuje powiązania klawiszy w formie kanonicznej. Najpierw linię w formacie keymaps opisującą aktualnie zdefiniowane kombinacje modyfikatorów. Następnie dla każdego klawisza drukowany jest wiersz zawierający kolumny dla wszystkich kombinacji modyfikatorów. Na przykład, jeśli aktualnie używana mapa klawiatury korzysta z siedmiu modyfikatorów, to każdy wiersz będzie miał siedem kolumn akcji. Format ten może być przydatny dla programów przetwarzających wyjście dumpkeys.

-Sshape  --shape=shape
    Available shapes:

    2 default output.

    4 one line for each keycode.

    8 one line for each (modifier,keycode) pair.

    16 one line for each keycode until 1st hole.

-1 --separate-lines
    This forces dumpkeys to write one line per (modifier,keycode) pair. It prefixes the word plain for plain keycodes.

-t --funcs-only
    Gdy podana jest ta opcja, dumpkeys drukuje tylko ciągi definicyjne klawiszy funkcyjnych. Normalnie dumpkeys drukuje zarówno przypisania klawiszy, jak i te definicje.

-k --keys-only
    Gdy podana jest ta opcja, dumpkeys drukuje tylko powiązania klawiszy. Normalnie dumpkeys drukuje zarówno przypisania klawiszy, jak i ich definicje.

-d --compose-only
    Gdy podana jest ta opcja, dumpkeys drukuje tylko kombinacje klawiszy kompozycji (compose keys). Opcja ta jest dostępna tylko jeśli jądro obsługuje te klawisze.

-ccharset  --charset=charset
    Nakazuje programowi dumpkeys interpretację wartości kodów znaków według określonego zestawu znaków (character set, charset). Dotyczy to tylko tłumaczenia kodowych wartości znaków na nazwy symboliczne. Poprawne wartości charset to: iso-8859-X, gdzie X jest cyfrą z zakresu 1-9. Jeśli nie poda się parametru charset, Domyślnie zostanie użyty iso-8859-1. Ta opcja wypisuje także linię `charset "iso-8859-X"', informującą loadkeys, jak zinterpretować mapę klawiszy (keymap). (Np. "division" to 0xf7 w iso-8859-1, lecz 0xba w iso-8859-8.)

-Cdev  --console=dev
    The affected console device can be specified using the -C (or --console ) option. This option supports exactly one device name.

-v --verbose
    Turn on verbose output.

-V --version
    Prints version number and exits.

PLIKI

/usr/share/kbd/keymaps
    Zalecany katalog plików tablic klawiszowych.

ZOBACZ TAKŻE
loadkeys(1), kemaps(5)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.